<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>
        {% block title %}Dashboard | GradeBook{% endblock %}
        </title>
        {% block stylesheets %}
        <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
        {% endblock %}    
        <link href="https://fonts.googleapis.com/css?family=Montserrat:200,300,400,700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>
    <body>
        <div id="sidebar">
            <div id="sidebar-title">
                <div id="sidebar-title-text">
                    <h4>Grade Book</h4>
                </div>
            </div>
            <div id="nav">
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-home"></i>
                        <a href="{{ url('dashboard') }}">Dashboard</a>
                    </div>
                </div>
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-poll"></i>
                        <a href="{{ url('grades') }}">Grades</a>
                    </div>
                </div>
                {% if is_granted('ROLE_ADMIN') %}
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-user-graduate"></i>
                        <a href="{{ url('students') }}">Students</a>
                    </div>
                </div>
                {% endif %}
                {% if is_granted('ROLE_ADMIN') %}
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-chalkboard-teacher"></i>
                        <a href="{{ url('teachers') }}">Teachers</a>
                    </div>
                </div>
                {% endif %}
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-cog"></i>
                        <a href="{{ url('students') }}">Settings</a>
                    </div>
                </div>
                <div class="nav-element">
                    <div class="nav-element-text">
                        <i class="fas fa-sign-out-alt"></i>
                        <a href="{{ url('app_logout') }}">Logout</a>
                    </div>
                </div>
            </div>
        </div>
        <div id="content">
            <div id="content-header">
                <div id="content-title">
                    <div id="content-title-text">
                        <h3>{{ title }}</h3>
                    </div>
                </div>
                <div id="content-tools">
                    <div id="content-tools-elements">
                        <div id="search-area">
                            <input type="text" id="search-tool" name="search" placeholder="Search...">
                            <i class="fas fa-search"></i>
                            <i class="far fa-user"></i>
                        </div>
                    </div>
                </div>
            </div>
        {% block body %}
        {% endblock %}
        </div>
        {% block javascripts %}
        {% endblock %}
    </body>
</html>